<!--startmeta
custom_edit_url: "https://github.com/netdata/netdata/edit/master/integrations/cloud-authentication/integrations/okta_sso.md"
meta_yaml: "https://github.com/netdata/netdata/edit/master/integrations/cloud-authentication/metadata.yaml"
sidebar_label: "Okta SSO"
learn_status: "Published"
learn_rel_path: "Netdata Cloud/Authentication & Authorization/Cloud Authentication & Authorization Integrations"
message: "DO NOT EDIT THIS FILE DIRECTLY, IT IS GENERATED BY THE AUTHENTICATION'S metadata.yaml FILE"
endmeta-->

# Okta SSO


<img src="https://netdata.cloud/img/okta.png" width="150"/>


Integrate your organization's Okta account with Netdata to better manage your team's access controls to Netdata Cloud.


<img src="https://img.shields.io/badge/maintained%20by-Netdata-%2300ab44" />

## Setup

### Prerequisites
- An Okta account
- A Netdata Cloud account
- Access to the Space as an **Admin**
- Space needs to be on a paid plan

### Setting up Okta
Steps needed to be done on Okta Admin Portal:
1. Click on **Applications** tab and choose to **Browse App Catalogue**
2. Find Netdata's preconfigured app for easy setup and click **Add Integration**
3. Give the app, that will be in your apps dashboard, the preferred **Application label** and click **Next** to move to the Sign-On options tab
4. In the **Sign-On Options** all the values we expect are already filled and no additional data is required
5. Click **Done**. You are able to go back and edit any fields later if need be
6. Go to the **Assignments** tab and enter the People or Group assignments as per your organization’s policies

### Netdata Configuration Steps
1. Click on the Space settings cog (located above your profile icon)
2. Click on the **User Management** section and access **Authentication and Authorization** tab.
3. On the Okta SSO card, click on **Configure**
4. Fill in the [required credentials](https://developer.okta.com/docs/guides/find-your-app-credentials/main/), you get them from **Okta Admin Portal**:
    - **Issuer URL** you can get it from your profile icon on top, e.g. `https://company-name.okta.com`
    - **Client ID** you can get it from **General** tab on application you configured on Okta
    - **Client Secret** you can get it from **General** tab on application you configured on Okta

### Supported features
* SP-initiated SSO (Single Sign-On)
* IdP-initiated SSO

### SP-initiated SSO

If you start your authentication flow from Netdata sign-in page please check [these steps](https://github.com/netdata/netdata/blob/master/docs/netdata-cloud/authentication-and-authorization/enterprise-sso-authentication.md#from-netdata-sign-up-page).


