<!--startmeta
custom_edit_url: "https://github.com/netdata/netdata/edit/master/integrations/cloud-notifications/integrations/slack.md"
meta_yaml: "https://github.com/netdata/netdata/edit/master/integrations/cloud-notifications/metadata.yaml"
sidebar_label: "Slack"
learn_status: "Published"
learn_rel_path: "Alerts & Notifications/Notifications/Centralized Cloud Notifications"
message: "DO NOT EDIT THIS FILE DIRECTLY, IT IS GENERATED BY THE NOTIFICATION'S metadata.yaml FILE"
endmeta-->

# Slack

<img src="https://netdata.cloud/img/slack.png" width="150"/>

<img src="https://img.shields.io/badge/maintained%20by-Netdata-%2300ab44" />

## Setup

### Prerequisites

- A Netdata Cloud account
- Access to the Space as an **Admin**
- The Space needs to be on a paid plan
- You need to have a Slack app on your workspace to receive the Webhooks.

### Slack Server Configuration

1. Create an app to receive webhook integrations. Check the [Slack documentation](https://api.slack.com/apps?new_app=1) for further details
2. Install the app on your workspace
3. Configure Webhook URLs for your workspace
    - On your app go to **Incoming Webhooks** and click on **activate incoming webhooks**
    - At the bottom of **Webhook URLs for Your Workspace** section you have **Add New Webhook to Workspace**
    - Specify the channel where you want your notifications to be delivered
    - Once completed, copy the Webhook URL in order to add it to your integration configuration in the Netdata Cloud UI

For more details please check [Incoming webhooks for Slack](https://slack.com/help/articles/115005265063-Incoming-webhooks-for-Slack).

### Netdata Configuration

1. Click on the **Space settings** cog (located above your profile icon)
2. Click on the **Alerts & Notifications** tab
3. Click on the **+ Add configuration** button
4. Add the Slack Integration
5. A modal will be presented to you to enter the required details to enable the integration:
    - **Notification settings**
      - Configuration name (optional): A name for your configuration in order to easily refer to it
      - Rooms: A list of Rooms for which you want to be notified
      - Notifications: The notifications which you want to be notified
    - **Integration configuration**
      - Webhook URL: URL provided on Slack for the channel you want to receive your notifications


